Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hsmf.datatypes
Class Chunks

    java.lang.Object
      org.apache.poi.hsmf.datatypes.Chunks

All Implemented Interfaces:
  ChunkGroup

    public final class Chunks

extends java.lang.Object
implements ChunkGroup

Collection of convenience chunks for standard parts of the MSG file. Not all of these will be present in any given file. A partial list is available at: http://msdn.microsoft.com/en-us/library/ms526356%28v=exchg.10%29.aspx

Field Summary
`StringChunk` | `conversationTopic` Sort of like the subject line, but without the RE: and FWD: parts.
`StringChunk` | `displayBCCChunk` Value that shows in the BCC field
`StringChunk` | `displayCCChunk` value that shows in the CC field
`StringChunk` | `displayFromChunk` Value that is in the FROM field
`StringChunk` | `displayToChunk` Value that is in the TO field (not actually the addresses as they are stored in recip directory nodes
`StringChunk` | `emailFromChunk` TODO
`ByteChunk` | `htmlBodyChunkBinary`
`StringChunk` | `htmlBodyChunkString` BODY Html Chunk, for html messages
`StringChunk` | `messageClass` Type of message that the MSG represents (ie.
`StringChunk` | `messageHeaders` The email headers
`StringChunk` | `messageId` The message ID
`ByteChunk` | `rtfBodyChunk` BODY Rtf Chunk, for Rtf (Rich) messages
`StringChunk` | `sentByServerType` Type of server that the message originated from (SMTP, etc).
`StringChunk` | `subjectChunk` Subject link chunk, in plain/text
`MessageSubmissionChunk` | `submissionChunk` TODO
`StringChunk` | `textBodyChunk` BODY Chunk, for plain/text messages

Constructor Summary
`Chunks()`

Method Summary
`Chunk[]` | `getAll()`
`Chunk[]` | `getChunks()` Returns the chunks that make up the group.
`void` | `record(Chunk chunk)` Called by the parser whenever a chunk is found.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messageClass

    public StringChunk messageClass

  Type of message that the MSG represents (ie. IPM.Note)

### textBodyChunk

    public StringChunk textBodyChunk

  BODY Chunk, for plain/text messages

### htmlBodyChunkString

    public StringChunk htmlBodyChunkString

  BODY Html Chunk, for html messages

### htmlBodyChunkBinary

    public ByteChunk htmlBodyChunkBinary

### rtfBodyChunk

    public ByteChunk rtfBodyChunk

  BODY Rtf Chunk, for Rtf (Rich) messages

### subjectChunk

    public StringChunk subjectChunk

  Subject link chunk, in plain/text

### displayToChunk

    public StringChunk displayToChunk

  Value that is in the TO field (not actually the addresses as they are stored in recip directory nodes

### displayFromChunk

    public StringChunk displayFromChunk

  Value that is in the FROM field

### displayCCChunk

    public StringChunk displayCCChunk

  value that shows in the CC field

### displayBCCChunk

    public StringChunk displayBCCChunk

  Value that shows in the BCC field

### conversationTopic

    public StringChunk conversationTopic

  Sort of like the subject line, but without the RE: and FWD: parts.

### sentByServerType

    public StringChunk sentByServerType

  Type of server that the message originated from (SMTP, etc).

### messageHeaders

    public StringChunk messageHeaders

  The email headers

### submissionChunk

    public MessageSubmissionChunk submissionChunk

  TODO

### emailFromChunk

    public StringChunk emailFromChunk

  TODO

### messageId

    public StringChunk messageId

  The message ID

Constructor Detail

### Chunks

    public Chunks()

Method Detail

### getAll

    public Chunk[] getAll()

### getChunks

    public Chunk[] getChunks()

  Description copied from interface: `ChunkGroup`
  Returns the chunks that make up the group. Should certainly contain all the interesting Chunks, but needn't always contain all of the Chunks.

  Specified by:
    `getChunks` in interface `ChunkGroup`

### record

    public void record(Chunk chunk)

  Called by the parser whenever a chunk is found.

  Specified by:
    `record` in interface `ChunkGroup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD